{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"Person":{"properties":{"companyId":{"description":"Id of the role holder - only available when the role holder is a company","type":"string"},"entityType":{"description":"Shows if the role holder is a company or a person","enum":["PERSON","COMPANY","UNDEFINED"],"type":"string"},"name":{"description":"Signatory name","type":"string"},"roles":{"description":"Role name for signing position","items":{"$ref":"#/components/schemas/Role"},"type":"array"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"Role":{"properties":{"fromDate":{"description":"Date of appointment","type":"string"},"roleCode":{"description":"Role Code for signing position","type":"string"},"roleName":{"description":"Role name for signing position","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"SigningCombinations":{"properties":{"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"combinations":{"description":"Possible signing combinations","items":{"description":"Possible signing combinations","items":{"$ref":"#/components/schemas/Person"},"type":"array"},"type":"array"},"companyDeregistrationDate":{"description":"Company deregistration date (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company - NIF number","type":"string"},"coverage":{"description":"The coverage of the answer, explains if all the possible signing combinations could be found. Possible values: complete and none","type":"string"},"powerOfAttorney":{"description":"Possible signing combinations by persons with Power of Attorney","items":{"description":"Possible signing combinations by persons with Power of Attorney","items":{"$ref":"#/components/schemas/Person"},"type":"array"},"type":"array"}},"type":"object"},"SigningCombinationsResult":{"description":"Signing combinations result","properties":{"records":{"items":{"$ref":"#/components/schemas/SigningCombinations"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"All combinations of persons that have Signatory Right in a company.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"SigningCombinationsApiEs","version":"1.1","x-logo":{"url":"https://assets.roaring.io/svg/signing-combinations-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SigningCombinationsResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch all combinations of persons that have Signatory Right in a company.","tags":["SigningCombinationsEs"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/es/company/signing-combinations/1.1"}],"x-category":"company","x-countries":["es"],"x-id":"SigningCombinationsApiEs"}